{
  // See configuration principle at: 
  // ZZZ Server Emu Wish system Design Brief - https://yyheggegg.github.io/mihomo-gio-blogs/zzz-gacha-impl-en/
  //
  // 本文件主要根据 CBT3 测试时可用的抽卡详情页编制，部分规则依据 1.0 实际情况进行了重制。
  // Zhu Yuan (Agent) -「直如朱丝绳」独家频段: https://webstatic.mihoyo.com/nap/event/e20230424gacha/index.html?gacha_id=8de6b658666b8862dc70e14526198f3ae02e5d&lang=zh-cn&region=prod_cb01_cn&game_biz=nap_cn
  // Zhu Yuan (W-Engine) - 「喧哗奏鸣」音擎频段: https://webstatic.mihoyo.com/nap/event/e20230424gacha/index.html?gacha_id=9ee2f7078ca9c045a1c30b9fa524f7990057e1&lang=zh-cn&region=prod_cb01_cn&game_biz=nap_cn
  // Standard Wish (Agent + W-Engine) - 「热门卡司」常驻频段: https://webstatic.mihoyo.com/nap/event/e20230424gacha/index.html?gacha_id=a41a5a30e2f7b64126e5ca80ac06af304273bc&lang=zh-cn&region=prod_cb01_cn&game_biz=nap_cn
  // Victoria Housekeeping (Bangboo) -「卓越搭档」邦布频段: https://webstatic.mihoyo.com/nap/event/e20230424gacha/index.html?gacha_id=5d921fbd92214d478c9f8d6e2e2887902734b8&lang=zh-cn&region=prod_cb01_cn&game_biz=nap_cn
  "character_gacha_pool_list": [
    {
      "gacha_schedule_id": 1001001,
      "gacha_parent_schedule_id": 1001,
      "comment": "Persist, Standard Wish",
      "gacha_type": 1,
      "cost_item_id": 110, // 原装母带
      "start_time": "2024-07-04T06:00:00+08:00",
      "end_time": "2099-12-31T23:59:59+08:00",
      "sharing_guarantee_info_category": "Standard Wish",
      "order": 1,
      "gacha_items": [
        {
          "rarity": 4,
          "extra_items_policy_tags": [
            "S-item",
          ],
          "probability_model_tag": "get-S-90-AgentPool",
          // S级信号的基础概率为 0.600%，
          // S级代理人的基础概率为 0.300%，
          // S级音擎的基础概率为 0.300%。
          "categories": {
            "Standard:Agent": {
              "item_type": "GACHA_ADDED_ITEM_TYPE_CHARACTER",
              // 此处的顺序同时由代理人自选 Policy standard-banner-300-S
              // 使用，更改会导致客户端行为与服务端不一致。
              "item_ids": [
                1181, // 格莉丝
                1211, // 丽娜
                1101, // 珂蕾妲
                1021, // 猫又
                1041, // 「11号」
                1141, // 莱卡恩
              ],
              "category_weight": 50
            },
            "Standard:W-Engine": {
              "item_type": "GACHA_ADDED_ITEM_TYPE_WEAPON",
              "item_ids": [
                14102, // 钢铁肉垫
                14110, // 燃狱齿轮
                14114, // 拘缚者
                14104, // 硫磺石
                14118, // 嵌合编译器
                14121, // 啜泣摇篮
              ],
              "category_weight": 50
            }
          }
        },
        {
          // A级信号的基础概率为 9.400%，
          // A级代理人的基础概率为 4.700%，
          // A级音擎的基础概率为 4.700%。
          "rarity": 3,
          "extra_items_policy_tags": [
            "A-item",
          ],
          "probability_model_tag": "get-A-10-AgentPool",
          "categories": {
            "Standard:Agent": {
              "item_type": "GACHA_ADDED_ITEM_TYPE_CHARACTER",
              "item_ids": [
                1011, // 安比
                1031, // 妮可
                1061, // 可琳
                1081, // 比利
                1111, // 安东
                1121, // 本
                1131, // 苍角
                1151, // 露西
                1281, // 派派
                1271, // 赛斯
              ],
              "category_weight": 50
            },
            "Standard:W-Engine": {
              "item_type": "GACHA_ADDED_ITEM_TYPE_WEAPON",
              "item_ids": [
                13001, // 街头巨星
                13002, // 时光切片
                13003, // 雨林饕客
                13004, // 星徽引擎
                13005, // 人为刀俎
                13006, // 贵重骨核
                13007, // 正版变身器
                13008, // 双生泣星
                13010, // 兔能环
                13101, // 德玛拉电池Ⅱ型
                13103, // 聚宝箱
                13106, // 家政员
                13108, // 仿制星徽引擎
                13111, // 旋钻机-赤轴
                13112, // 比格气缸
                13113, // 含羞恶面
                13115, // 好斗的阿炮
                13128, // 轰鸣座驾
                13127, // 维序者-特化型
              ],
              "category_weight": 50
            }
          }
        },
        {
          "rarity": 2,
          "extra_items_policy_tags": [
            "B-item",
          ],
          "probability_model_tag": "get-B",
          "categories": {
            "Standard:W-Engine": {
              "item_type": "GACHA_ADDED_ITEM_TYPE_WEAPON",
              "item_ids": [
                12001, // 「月相」-望
                12002, // 「月相」-晦
                12003, // 「月相」-朔
                12004, // 「残响」-Ⅰ型
                12005, // 「残响」-Ⅱ型
                12006, // 「残响」-Ⅲ型
                12007, // 「湍流」-铳型
                12008, // 「湍流」-矢型
                12009, // 「湍流」-斧型
                12010, // 「电磁暴」-壹式
                12011, // 「电磁暴」-贰式
                12012, // 「电磁暴」-叁式
                12013, // 「恒等式」-本格
                12014, // 「恒等式」-变格
              ],
              "category_weight": 50
            }
          }
        }
      ],
      "discount_policy_tags": [
        "5x-10-poll-discount-8",
        "50-poll-S",
        "first-S-Agent",
        "standard-banner-300-S"
      ]
    },
    {
      "gacha_schedule_id": 5001001,
      "gacha_parent_schedule_id": 5001,
      "comment": "1.0, Full, Persistent, Bangboo",
      "gacha_type": 5,
      "cost_item_id": 112, // 邦布券
      "start_time": "2024-07-04T06:00:00+08:00",
      "end_time": "2077-12-31T23:59:59+08:00",
      "sharing_guarantee_info_category": "Bangboo Wish",
      "gacha_items": [
        {
          "rarity": 4,
          "extra_items_policy_tags": [
            "S-Bangboo",
          ],
          "probability_model_tag": "get-S-80-WEngine",
          "category_guarantee_policy_tags": [
            "chooseable-up-bangboo"
          ],
          "categories": {
            "Standard:Bangboo": {
              "item_ids": [
                54002, // 阿全
                54005, // 艾米莉安
                54006, // 飚速布
                54008, // 插头布
                54009, // 共鸣布
                54001, // 鲨牙布
                54013, // 左轮布
              ],
              "category_weight": 1
            },
            "Event-Exclusive:Bangboo": {
              "item_ids": [
                54004, // 巴特勒
              ],
              "is_promotional_items": true,
              "category_weight": 1
            }
          }
        },
        {
          "rarity": 3,
          "extra_items_policy_tags": [
            "A-Bangboo",
          ],
          "probability_model_tag": "get-A-10-WEngine",
          "category_guarantee_policy_tags": [
            "common-up-bangboo"
          ],
          "categories": {
            "Standard:Bangboo": {
              "item_ids": [
                53001, // 企鹅布
                53003, // 寻宝布
                53005, // 纸壳布
                53004, // 扑击布
                53006, // 纸袋布
                53007, // 泪眼布
                53008, // 果核布
                53009, // 飞靶布
                53010, // 电击布
                53011, // 磁力布
                54003, // 恶魔布
              ],
              "category_weight": 1
            }
          }
        },
        {
          "rarity": 2,
          "extra_items_policy_tags": [
            "B-Bangboo",
          ],
          "probability_model_tag": "get-B",
          "categories": {
            "Standard:W-Engine": {
              "item_ids": [
                12001, // 「月相」-望
                12002, // 「月相」-晦
                12003, // 「月相」-朔
                12004, // 「残响」-Ⅰ型
                12005, // 「残响」-Ⅱ型
                12006, // 「残响」-Ⅲ型
                12007, // 「湍流」-铳型
                12008, // 「湍流」-矢型
                12009, // 「湍流」-斧型
                12010, // 「电磁暴」-壹式
                12011, // 「电磁暴」-贰式
                12012, // 「电磁暴」-叁式
                12013, // 「恒等式」-本格
                12014, // 「恒等式」-变格
              ],
              "category_weight": 100
            }
          }
        }
      ]
    },
    {
      "gacha_schedule_id": 2001001,
      "gacha_parent_schedule_id": 2001,
      "comment": "1.0, First Half, Allen / 艾莲, Agent",
      "gacha_type": 2,
      "cost_item_id": 111,
      "start_time": "2024-07-04T06:00:00+08:00",
      "end_time": "2024-07-24T11:59:59+08:00",
      "sharing_guarantee_info_category": "Character Event Wish",
      "gacha_items": [
        {
          "rarity": 4,
          "extra_items_policy_tags": [
            "S-item",
          ],
          "probability_model_tag": "get-S-90-AgentPool",
          "category_guarantee_policy_tags": [
            "promotional-items"
          ],
          "categories": {
            "Standard:Agent": {
              "item_ids": [
                1021, // 猫又
                1101, // 珂蕾妲
                1041, // 「11号」
                1141, // 莱卡恩
                1181, // 格莉丝
                1211, // 丽娜
              ],
              "category_weight": 50
            },
            "Event-Exclusive:Agent": {
              "is_promotional_items": true,
              "item_ids": [
                1191, // 艾莲
              ],
              "category_weight": 50
            }
          }
        },
        {
          // 在本期独家频段中，调频获取A级信号的基础概率为 9.400%，
          // 其中A级代理人的基础概率为 7.050%，
          // A级音擎的基础概率为 2.350%。
          "rarity": 3,
          "extra_items_policy_tags": [
            "A-item",
          ],
          "probability_model_tag": "get-A-10-AgentPool",
          "category_guarantee_policy_tags": [
            "promotional-items"
          ],
          "categories": {
            "Standard:Agent": {
              "item_ids": [
                1011, // 安比
                1031, // 妮可
                1061, // 可琳
                1081, // 比利
                1121, // 本
                1151, // 露西
                1281, // 派派
              ],
              "category_weight": 3525
            },
            "Event-Exclusive:Agent": {
              "is_promotional_items": true,
              "item_ids": [
                1111, // 安东
                1131, // 苍角
              ],
              "category_weight": 3525
            },
            "Standard:W-Engine": {
              "item_ids": [
                13001, // 街头巨星
                13002, // 时光切片
                13003, // 雨林饕客
                13004, // 星徽引擎
                13005, // 人为刀俎
                13006, // 贵重骨核
                13007, // 正版变身器
                13008, // 双生泣星
                13010, // 兔能环
                13101, // 德玛拉电池Ⅱ型
                13103, // 聚宝箱
                13106, // 家政员
                13108, // 仿制星徽引擎
                13111, // 旋钻机-赤轴
                13112, // 比格气缸
                13113, // 含羞恶面
                13115, // 好斗的阿炮
                13128, // 轰鸣座驾
              ],
              "category_weight": 2350
            }
          }
        },
        {
          "rarity": 2,
          "extra_items_policy_tags": [
            "B-item",
          ],
          "probability_model_tag": "get-B",
          "categories": {
            "Standard:W-Engine": {
              "item_ids": [
                12001, // 「月相」-望
                12002, // 「月相」-晦
                12003, // 「月相」-朔
                12004, // 「残响」-Ⅰ型
                12005, // 「残响」-Ⅱ型
                12006, // 「残响」-Ⅲ型
                12007, // 「湍流」-铳型
                12008, // 「湍流」-矢型
                12009, // 「湍流」-斧型
                12010, // 「电磁暴」-壹式
                12011, // 「电磁暴」-贰式
                12012, // 「电磁暴」-叁式
                12013, // 「恒等式」-本格
                12014, // 「恒等式」-变格
              ],
              "category_weight": 100
            }
          }
        }
      ]
    },
    {
      "gacha_schedule_id": 3001001,
      "gacha_parent_schedule_id": 3001,
      "comment": "1.0, First Half, Allen / 艾莲, W-Engine",
      "gacha_type": 3,
      "cost_item_id": 111,
      "start_time": "2024-07-04T06:00:00+08:00",
      "end_time": "2024-07-24T11:59:59+08:00",
      "sharing_guarantee_info_category": "W-Engine Wish",
      "gacha_items": [
        {
          // 在本期音擎频段中，调频获取S级音擎的基础概率为 1.000%，
          // 最多 80 次调频必能通过保底获取S级音擎。
          // S级音擎的综合概率（含保底）为 2.000%。
          "rarity": 4,
          "extra_items_policy_tags": [
            "S-item",
          ],
          "probability_model_tag": "get-S-80-WEngine",
          "category_guarantee_policy_tags": [
            "promotional-items"
          ],
          "categories": {
            "Standard:W-Engine": {
              "item_ids": [
                14102, // 钢铁肉垫
                14110, // 燃狱齿轮
                14114, // 拘缚者
                14104, // 硫磺石
                14118, // 嵌合编译器
                14121, // 啜泣摇篮
              ],
              "category_weight": 25
            },
            "Event-Exclusive:W-Engine": {
              "item_ids": [
                14119, // 深海访客
              ],
              "is_promotional_items": true,
              "category_weight": 75
            }
          }
        },
        {
          // 在本期音擎频段中，调频获取A级信号的基础概率为 15.000%，
          // 其中A级音擎的基础概率为 13.125%，
          // A级代理人的基础概率为 1.875%。
          // A级信号的综合概率（含保底）为 18.000%。
          // 当调频获取到A级信号时，有 75.000% 的概率为本期A级概率提升音擎中的一个。
          "rarity": 3,
          "extra_items_policy_tags": [
            "A-item",
          ],
          "probability_model_tag": "get-A-10-WEngine",
          "category_guarantee_policy_tags": [
            "promotional-items"
          ],
          "categories": {
            "Standard:Agent": {
              "item_ids": [
                1011, // 安比
                1031, // 妮可
                1061, // 可琳
                1081, // 比利
                1111, // 安东
                1121, // 本
                1131, // 苍角
                1151, // 露西
                1281, // 派派
              ],
              "category_weight": 3750
            },
            "Standard:W-Engine": {
              "item_ids": [
                13001, // 街头巨星
                13002, // 时光切片
                13003, // 雨林饕客
                13004, // 星徽引擎
                13005, // 人为刀俎
                13006, // 贵重骨核
                13007, // 正版变身器
                13008, // 双生泣星
                13010, // 兔能环
                13101, // 德玛拉电池Ⅱ型
                13103, // 聚宝箱
                13106, // 家政员
                13108, // 仿制星徽引擎
                13112, // 比格气缸
                13115, // 好斗的阿炮
                13128, // 轰鸣座驾
              ],
              "category_weight": 13125
            },
            "Event-Exclusive:W-Engine": {
              "item_ids": [
                13113, // 含羞恶面
                13111, // 旋钻机-赤轴
              ],
              "is_promotional_items": true,
              "category_weight": 13125
            }
          }
        },
        {
          "rarity": 2,
          "extra_items_policy_tags": [
            "B-item",
          ],
          "probability_model_tag": "get-B",
          "categories": {
            "Standard:W-Engine": {
              "item_ids": [
                12001, // 「月相」-望
                12002, // 「月相」-晦
                12003, // 「月相」-朔
                12004, // 「残响」-Ⅰ型
                12005, // 「残响」-Ⅱ型
                12006, // 「残响」-Ⅲ型
                12007, // 「湍流」-铳型
                12008, // 「湍流」-矢型
                12009, // 「湍流」-斧型
                12010, // 「电磁暴」-壹式
                12011, // 「电磁暴」-贰式
                12012, // 「电磁暴」-叁式
                12013, // 「恒等式」-本格
                12014, // 「恒等式」-变格
              ],
              "category_weight": 100
            }
          }
        }
      ]
    },
    {
      "gacha_schedule_id": 2001002,
      "gacha_parent_schedule_id": 2002,
      "comment": "1.0, Second Half, Zhu Yuan / 朱鸢, Agent",
      "gacha_type": 2,
      "cost_item_id": 111,
      "start_time": "2024-07-24T12:00:00+08:00",
      "end_time": "2024-08-01T12:00:00+08:00",
      "sharing_guarantee_info_category": "Character Event Wish",
      "gacha_items": [
        {
          "rarity": 4,
          "extra_items_policy_tags": [
            "S-item",
          ],
          "probability_model_tag": "get-S-90-AgentPool",
          "category_guarantee_policy_tags": [
            "promotional-items"
          ],
          "categories": {
            "Standard:Agent": {
              "item_ids": [
                1021, // 猫又
                1101, // 珂蕾妲
                1041, // 「11号」
                1141, // 莱卡恩
                1181, // 格莉丝
                1211, // 丽娜
              ],
              "category_weight": 50
            },
            "Event-Exclusive:Agent": {
              "is_promotional_items": true,
              "item_ids": [
                1241 // 朱鸢
              ],
              "category_weight": 50
            }
          }
        },
        {
          "rarity": 3,
          "extra_items_policy_tags": [
            "A-item",
          ],
          "probability_model_tag": "get-A-10-AgentPool",
          "category_guarantee_policy_tags": [
            "promotional-items"
          ],
          "categories": {
            "Standard:Agent": {
              "item_ids": [
                1011, // 安比
                1061, // 可琳
                1081, // 比利
                1111, // 安东
                1131, // 苍角
                1151, // 露西
                1281, // 派派
              ],
              "category_weight": 3525
            },
            "Event-Exclusive:Agent": {
              "is_promotional_items": true,
              "item_ids": [
                1031, // 妮可
                1121, // 本
              ],
              "category_weight": 3525
            },
            "Standard:W-Engine": {
              "item_ids": [
                13001, // 街头巨星
                13002, // 时光切片
                13003, // 雨林饕客
                13004, // 星徽引擎
                13005, // 人为刀俎
                13006, // 贵重骨核
                13007, // 正版变身器
                13008, // 双生泣星
                13010, // 兔能环
                13101, // 德玛拉电池Ⅱ型
                13103, // 聚宝箱
                13106, // 家政员
                13108, // 仿制星徽引擎
                13111, // 旋钻机-赤轴
                13112, // 比格气缸
                13113, // 含羞恶面
                13115, // 好斗的阿炮
                13128, // 轰鸣座驾
              ],
              "category_weight": 2350
            }
          }
        },
        {
          "rarity": 2,
          "extra_items_policy_tags": [
            "B-item",
          ],
          "probability_model_tag": "get-B",
          "categories": {
            "Standard:W-Engine": {
              "item_ids": [
                12001, // 「月相」-望
                12002, // 「月相」-晦
                12003, // 「月相」-朔
                12004, // 「残响」-Ⅰ型
                12005, // 「残响」-Ⅱ型
                12006, // 「残响」-Ⅲ型
                12007, // 「湍流」-铳型
                12008, // 「湍流」-矢型
                12009, // 「湍流」-斧型
                12010, // 「电磁暴」-壹式
                12011, // 「电磁暴」-贰式
                12012, // 「电磁暴」-叁式
                12013, // 「恒等式」-本格
                12014, // 「恒等式」-变格
              ],
              "category_weight": 100
            }
          }
        }
      ]
    },
    {
      "gacha_schedule_id": 3001002,
      "gacha_parent_schedule_id": 3002,
      "comment": "1.0, Second Half, Zhu Yuan / 朱鸢, W-Engine",
      "gacha_type": 3,
      "cost_item_id": 111,
      "start_time": "2024-07-24T12:00:00+08:00",
      "end_time": "2024-08-01T12:00:00+08:00",
      "sharing_guarantee_info_category": "W-Engine Wish",
      "gacha_items": [
        {
          "rarity": 4,
          "extra_items_policy_tags": [
            "S-item",
          ],
          "probability_model_tag": "get-S-80-WEngine",
          "category_guarantee_policy_tags": [
            "promotional-items"
          ],
          "categories": {
            "Standard:W-Engine": {
              "item_ids": [
                14102, // 钢铁肉垫
                14110, // 燃狱齿轮
                14114, // 拘缚者
                14104, // 硫磺石
                14118, // 嵌合编译器
                14121, // 啜泣摇篮
              ],
              "category_weight": 25
            },
            "Event-Exclusive:W-Engine": {
              "item_ids": [
                14124 // 防暴者VI型
              ],
              "is_promotional_items": true,
              "category_weight": 75
            }
          }
        },
        {
          "rarity": 3,
          "extra_items_policy_tags": [
            "A-item",
          ],
          "probability_model_tag": "get-A-10-WEngine",
          "category_guarantee_policy_tags": [
            "promotional-items"
          ],
          "categories": {
            "Standard:Agent": {
              "item_ids": [
                1011, // 安比
                1031, // 妮可
                1061, // 可琳
                1081, // 比利
                1111, // 安东
                1121, // 本
                1131, // 苍角
                1151, // 露西
                1281, // 派派
              ],
              "category_weight": 3750
            },
            "Standard:W-Engine": {
              "item_ids": [
                13007, // 正版变身器
                13002, // 时光切片
                13003, // 雨林饕客
                13004, // 星徽引擎
                13005, // 人为刀俎
                13006, // 贵重骨核
                13001, // 街头巨星
                13008, // 双生泣星
                13010, // 兔能环
                13101, // 德玛拉电池Ⅱ型
                13106, // 家政员
                13108, // 仿制星徽引擎
                13111, // 旋钻机-赤轴
                13113, // 含羞恶面
                13115, // 好斗的阿炮
                13128, // 轰鸣座驾
              ],
              "category_weight": 13125
            },
            "Event-Exclusive:W-Engine": {
              "item_ids": [
                13103, // 聚宝箱
                13112, // 比格气缸
              ],
              "is_promotional_items": true,
              "category_weight": 13125
            }
          }
        },
        {
          "rarity": 2,
          "extra_items_policy_tags": [
            "B-item",
          ],
          "probability_model_tag": "get-B",
          "categories": {
            "Standard:W-Engine": {
              "item_ids": [
                12001, // 「月相」-望
                12002, // 「月相」-晦
                12003, // 「月相」-朔
                12004, // 「残响」-Ⅰ型
                12005, // 「残响」-Ⅱ型
                12006, // 「残响」-Ⅲ型
                12007, // 「湍流」-铳型
                12008, // 「湍流」-矢型
                12009, // 「湍流」-斧型
                12010, // 「电磁暴」-壹式
                12011, // 「电磁暴」-贰式
                12012, // 「电磁暴」-叁式
                12013, // 「恒等式」-本格
                12014, // 「恒等式」-变格
              ],
              "category_weight": 100
            }
          }
        }
      ]
    },
    {
      "gacha_schedule_id": 2001003,
      "gacha_parent_schedule_id": 2003,
      "comment": "1.1, Unknown Half, QingYi / 青衣, Agent",
      "gacha_type": 2,
      "cost_item_id": 111,
      "start_time": "2024-07-04T06:00:00+08:00",
      "end_time": "2077-12-31T23:59:59+08:00",
      "sharing_guarantee_info_category": "Character Event Wish",
      "gacha_items": [
        {
          // 在本期独家频段中，调频获取S级代理人的基础概率为 0.600%，
          // 当调频获取到S级代理人时，有 50.000% 的概率为本期限定S级代理人。
          "rarity": 4,
          "extra_items_policy_tags": [
            "S-item",
          ],
          "probability_model_tag": "get-S-90-AgentPool",
          "category_guarantee_policy_tags": [
            "promotional-items"
          ],
          "categories": {
            "Standard:Agent": {
              "item_ids": [
                1021, // 猫又
                1101, // 珂蕾妲
                1041, // 「11号」
                1141, // 莱卡恩
                1181, // 格莉丝
                1211, // 丽娜
              ],
              "category_weight": 50
            },
            "Event-Exclusive:Agent": {
              "is_promotional_items": true,
              "item_ids": [
                1251, // 青衣
              ],
              "category_weight": 50
            }
          }
        },
        {
          "rarity": 3,
          "extra_items_policy_tags": [
            "A-item",
          ],
          "probability_model_tag": "get-A-10-AgentPool",
          "category_guarantee_policy_tags": [
            "promotional-items"
          ],
          "categories": {
            "Standard:Agent": {
              "item_ids": [
                1011, // 安比
                1031, // 妮可
                1061, // 可琳
                1081, // 比利
                1111, // 安东
                1121, // 本
                1151, // 露西
                1281, // 派派
              ],
              "category_weight": 3525
            },
            "Event-Exclusive:Agent": {
              "is_promotional_items": true,
              "item_ids": [
                1131, // 苍角
                1271, // 赛斯
              ],
              "category_weight": 3525
            },
            "Standard:W-Engine": {
              "item_ids": [
                13001, // 街头巨星
                13002, // 时光切片
                13003, // 雨林饕客
                13004, // 星徽引擎
                13005, // 人为刀俎
                13006, // 贵重骨核
                13007, // 正版变身器
                13008, // 双生泣星
                13010, // 兔能环
                13101, // 德玛拉电池Ⅱ型
                13103, // 聚宝箱
                13106, // 家政员
                13108, // 仿制星徽引擎
                13111, // 旋钻机-赤轴
                13112, // 比格气缸
                13113, // 含羞恶面
                13115, // 好斗的阿炮
                13128, // 轰鸣座驾
                13127, // 维序者-特化型
              ],
              "category_weight": 2350
            }
          }
        },
        {
          "rarity": 2,
          "extra_items_policy_tags": [
            "B-item",
          ],
          "probability_model_tag": "get-B",
          "categories": {
            "Standard:W-Engine": {
              "item_ids": [
                12001, // 「月相」-望
                12002, // 「月相」-晦
                12003, // 「月相」-朔
                12004, // 「残响」-Ⅰ型
                12005, // 「残响」-Ⅱ型
                12006, // 「残响」-Ⅲ型
                12007, // 「湍流」-铳型
                12008, // 「湍流」-矢型
                12009, // 「湍流」-斧型
                12010, // 「电磁暴」-壹式
                12011, // 「电磁暴」-贰式
                12012, // 「电磁暴」-叁式
                12013, // 「恒等式」-本格
                12014, // 「恒等式」-变格
              ],
              "category_weight": 100
            }
          }
        }
      ]
    },
    {
      "gacha_schedule_id": 3001003,
      "gacha_parent_schedule_id": 3003,
      "comment": "1.1, Unknown Half, QingYi / 青衣, W-Engine",
      "gacha_type": 3,
      "cost_item_id": 111,
      "start_time": "2024-07-04T06:00:00+08:00",
      "end_time": "2077-12-31T23:59:59+08:00",
      "sharing_guarantee_info_category": "W-Engine Wish",
      "gacha_items": [
        {
          "rarity": 4,
          "extra_items_policy_tags": [
            "S-item",
          ],
          "probability_model_tag": "get-S-80-WEngine",
          "category_guarantee_policy_tags": [
            "promotional-items"
          ],
          "categories": {
            "Standard:W-Engine": {
              "item_ids": [
                14102, // 钢铁肉垫
                14110, // 燃狱齿轮
                14114, // 拘缚者
                14104, // 硫磺石
                14118, // 嵌合编译器
                14121, // 啜泣摇篮
              ],
              "category_weight": 25
            },
            "Event-Exclusive:W-Engine": {
              "item_ids": [
                14125, // 玉壶青冰
              ],
              "is_promotional_items": true,
              "category_weight": 75
            }
          }
        },
        {
          "rarity": 3,
          "extra_items_policy_tags": [
            "A-item",
          ],
          "probability_model_tag": "get-A-10-WEngine",
          "category_guarantee_policy_tags": [
            "promotional-items"
          ],
          "categories": {
            "Standard:Agent": {
              "item_ids": [
                1011, // 安比
                1031, // 妮可
                1061, // 可琳
                1081, // 比利
                1111, // 安东
                1121, // 本
                1131, // 苍角
              ],
              "category_weight": 3750
            },
            "Standard:W-Engine": {
              "item_ids": [
                13001, // 街头巨星
                13002, // 时光切片
                13003, // 雨林饕客
                13004, // 星徽引擎
                13005, // 人为刀俎
                13006, // 贵重骨核
                13007, // 正版变身器
                13008, // 双生泣星
                13010, // 兔能环
                13101, // 德玛拉电池Ⅱ型
                13103, // 聚宝箱
                13106, // 家政员
                13108, // 仿制星徽引擎
                13111, // 旋钻机-赤轴
                13112, // 比格气缸
                13115, // 好斗的阿炮
                13128, // 轰鸣座驾
              ],
              "category_weight": 13125
            },
            "Event-Exclusive:W-Engine": {
              "item_ids": [
                13113, // 含羞恶面
                13127, // 维序者-特化型
              ],
              "is_promotional_items": true,
              "category_weight": 13125
            }
          }
        },
        {
          "rarity": 2,
          "extra_items_policy_tags": [
            "B-item",
          ],
          "probability_model_tag": "get-B",
          "categories": {
            "Standard:W-Engine": {
              "item_ids": [
                12001, // 「月相」-望
                12002, // 「月相」-晦
                12003, // 「月相」-朔
                12004, // 「残响」-Ⅰ型
                12005, // 「残响」-Ⅱ型
                12006, // 「残响」-Ⅲ型
                12007, // 「湍流」-铳型
                12008, // 「湍流」-矢型
                12009, // 「湍流」-斧型
                12010, // 「电磁暴」-壹式
                12011, // 「电磁暴」-贰式
                12012, // 「电磁暴」-叁式
                12013, // 「恒等式」-本格
                12014, // 「恒等式」-变格
              ],
              "category_weight": 100
            }
          }
        }
      ]
    },
    {
      "gacha_schedule_id": 2001004,
      "gacha_parent_schedule_id": 2004,
      "comment": "1.1, Unknown Half, Jane Doe / 简·杜, Agent",
      "gacha_type": 2,
      "cost_item_id": 111,
      "start_time": "2024-07-04T06:00:00+08:00",
      "end_time": "2077-12-31T23:59:59+08:00",
      "sharing_guarantee_info_category": "Character Event Wish",
      "gacha_items": [
        {
          "rarity": 4,
          "extra_items_policy_tags": [
            "S-item",
          ],
          "probability_model_tag": "get-S-90-AgentPool",
          "category_guarantee_policy_tags": [
            "promotional-items"
          ],
          "categories": {
            "Standard:Agent": {
              "item_ids": [
                1021, // 猫又
                1101, // 珂蕾妲
                1041, // 「11号」
                1141, // 莱卡恩
                1181, // 格莉丝
                1211, // 丽娜
              ],
              "category_weight": 50
            },
            "Event-Exclusive:Agent": {
              "is_promotional_items": true,
              "item_ids": [
                1261, // 简
              ],
              "category_weight": 50
            }
          }
        },
        {
          "rarity": 3,
          "extra_items_policy_tags": [
            "A-item",
          ],
          "probability_model_tag": "get-A-10-AgentPool",
          "category_guarantee_policy_tags": [
            "promotional-items"
          ],
          "categories": {
            "Standard:Agent": {
              "item_ids": [
                1011, // 安比
                1031, // 妮可
                1061, // 可琳
                1081, // 比利
                1111, // 安东
                1121, // 本
                1151, // 露西
                1281, // 派派
              ],
              "category_weight": 3525
            },
            "Event-Exclusive:Agent": {
              "is_promotional_items": true,
              "item_ids": [
                1271, // 赛斯
                1131, // 苍角
              ],
              "category_weight": 3525
            },
            "Standard:W-Engine": {
              "item_ids": [
                13001, // 街头巨星
                13002, // 时光切片
                13003, // 雨林饕客
                13004, // 星徽引擎
                13005, // 人为刀俎
                13006, // 贵重骨核
                13007, // 正版变身器
                13008, // 双生泣星
                13010, // 兔能环
                13101, // 德玛拉电池Ⅱ型
                13103, // 聚宝箱
                13106, // 家政员
                13108, // 仿制星徽引擎
                13111, // 旋钻机-赤轴
                13112, // 比格气缸
                13113, // 含羞恶面
                13115, // 好斗的阿炮
                13128, // 轰鸣座驾
                13127, // 维序者-特化型
              ],
              "category_weight": 2350
            }
          }
        },
        {
          "rarity": 2,
          "extra_items_policy_tags": [
            "B-item",
          ],
          "probability_model_tag": "get-B",
          "categories": {
            "Standard:W-Engine": {
              "item_ids": [
                12001, // 「月相」-望
                12002, // 「月相」-晦
                12003, // 「月相」-朔
                12004, // 「残响」-Ⅰ型
                12005, // 「残响」-Ⅱ型
                12006, // 「残响」-Ⅲ型
                12007, // 「湍流」-铳型
                12008, // 「湍流」-矢型
                12009, // 「湍流」-斧型
                12010, // 「电磁暴」-壹式
                12011, // 「电磁暴」-贰式
                12012, // 「电磁暴」-叁式
                12013, // 「恒等式」-本格
                12014, // 「恒等式」-变格
              ],
              "category_weight": 100
            }
          }
        }
      ]
    },
    {
      "gacha_schedule_id": 3001004,
      "gacha_parent_schedule_id": 3004,
      "comment": "1.1, Unknown Half, Jane Doe / 简·杜, W-Engine",
      "gacha_type": 3,
      "cost_item_id": 111,
      "start_time": "2024-07-04T06:00:00+08:00",
      "end_time": "2077-12-31T23:59:59+08:00",
      "sharing_guarantee_info_category": "W-Engine Wish",
      "gacha_items": [
        {
          "rarity": 4,
          "extra_items_policy_tags": [
            "S-item",
          ],
          "probability_model_tag": "get-S-80-WEngine",
          "category_guarantee_policy_tags": [
            "promotional-items"
          ],
          "categories": {
            "Standard:W-Engine": {
              "item_ids": [
                14102, // 钢铁肉垫
                14110, // 燃狱齿轮
                14114, // 拘缚者
                14104, // 硫磺石
                14118, // 嵌合编译器
                14121, // 啜泣摇篮
              ],
              "category_weight": 25
            },
            "Event-Exclusive:W-Engine": {
              "item_ids": [
                14126, // 淬锋钳刺
              ],
              "is_promotional_items": true,
              "category_weight": 75
            }
          }
        },
        {
          "rarity": 3,
          "extra_items_policy_tags": [
            "A-item",
          ],
          "probability_model_tag": "get-A-10-WEngine",
          "category_guarantee_policy_tags": [
            "promotional-items"
          ],
          "categories": {
            "Standard:Agent": {
              "item_ids": [
                1011, // 安比
                1031, // 妮可
                1061, // 可琳
                1081, // 比利
                1111, // 安东
                1121, // 本
                1131, // 苍角
              ],
              "category_weight": 3750
            },
            "Standard:W-Engine": {
              "item_ids": [
                13001, // 街头巨星
                13002, // 时光切片
                13003, // 雨林饕客
                13004, // 星徽引擎
                13005, // 人为刀俎
                13006, // 贵重骨核
                13007, // 正版变身器
                13008, // 双生泣星
                13010, // 兔能环
                13101, // 德玛拉电池Ⅱ型
                13103, // 聚宝箱
                13106, // 家政员
                13108, // 仿制星徽引擎
                13111, // 旋钻机-赤轴
                13112, // 比格气缸
                13115, // 好斗的阿炮
                13128, // 轰鸣座驾
              ],
              "category_weight": 13125
            },
            "Event-Exclusive:W-Engine": {
              "item_ids": [
                13127, // 维序者-特化型
                13113, // 含羞恶面
              ],
              "is_promotional_items": true,
              "category_weight": 13125
            }
          }
        },
        {
          "rarity": 2,
          "extra_items_policy_tags": [
            "B-item",
          ],
          "probability_model_tag": "get-B",
          "categories": {
            "Standard:W-Engine": {
              "item_ids": [
                12001, // 「月相」-望
                12002, // 「月相」-晦
                12003, // 「月相」-朔
                12004, // 「残响」-Ⅰ型
                12005, // 「残响」-Ⅱ型
                12006, // 「残响」-Ⅲ型
                12007, // 「湍流」-铳型
                12008, // 「湍流」-矢型
                12009, // 「湍流」-斧型
                12010, // 「电磁暴」-壹式
                12011, // 「电磁暴」-贰式
                12012, // 「电磁暴」-叁式
                12013, // 「恒等式」-本格
                12014, // 「恒等式」-变格
              ],
              "category_weight": 100
            }
          }
        }
      ]
    },
  ],
  "probability_model_map": {
    // 以下内容根据 @一棵平衡树 公测后解析进行了更新。
    // https://www.bilibili.com/video/BV1oW42197RR
    "get-S-90-AgentPool": {
      "points": [
        {
          "start_pity": 1,
          "start_chance_percent": 0.6
        },
        {
          "start_pity": 73,
          "start_chance_percent": 0.6,
          "increment_percent": 6
        }
      ]
    },
    "get-A-10-AgentPool": {
      "clear_status_on_higher_rarity_pulled": true,
      "points": [
        {
          "start_pity": 1,
          "start_chance_percent": 9.4
        },
        {
          "start_pity": 10,
          "start_chance_percent": 100
        }
      ]
    },
    "get-B": {
      "points": [
        {
          "start_pity": 1,
          "start_chance_percent": 100
        }
      ]
    },
    "get-S-80-WEngine": {
      // "maximum_guarantee_pity": 80,
      "points": [
        {
          "start_pity": 1,
          "start_chance_percent": 1
        },
        {
          "start_pity": 64,
          "start_chance_percent": 1,
          "increment_percent": 6
        },
        {
          "start_pity": 80,
          "start_chance_percent": 100
        }
      ]
    },
    "get-A-10-WEngine": {
      "clear_status_on_higher_rarity_pulled": true,
      "points": [
        {
          "start_pity": 1,
          "start_chance_percent": 15
        },
        {
          "start_pity": 10,
          "start_chance_percent": 100
        }
      ]
    }
  },
  "extra_items_policy_map": {
    "S-item": {
      "id": 115, // 信号余波
      "count": 40
    },
    "A-item": {
      "id": 115, // 信号余波
      "count": 8
    },
    "B-item": {
      "id": 117, // 信号残响
      "count": 20
    },
    "S-Bangboo": {
      "id": 116, // 邦布币
      "count": 50
    },
    "A-Bangboo": {
      "id": 116, // 邦布币
      "count": 10
    },
    "B-Bangboo": {
      "id": 116, // 邦布币
      "count": 2
    }
  },
  "discount_policies": {
    "ten_pull_discount_map": {
      "5x-10-poll-discount-8": {
        "use_limit": 5,
        "discounted_prize": 8
      },
    },
    "must_gain_item_map": {
      "first-S-Agent": {
        "use_limit": 1,
        "rarity": 4,
        "category_tag": "Standard:Agent"
      },
    },
    "advanced_guarantee_map": {
      "50-poll-S": {
        "use_limit": 1,
        "rarity": 4,
        "guarantee_pity": 50
      },
    },
    "free_select_map": {
      "standard-banner-300-S": {
        "free_select_progress_record_tag": "standard-banner-300-S__free_select_total_progress",
        "free_select_usage_record_tag": "standard-banner-300-S__free_select_milestone_idx",
        "rarity": 4,
        "category_tags": [
          "Standard:Agent",
        ],
        "milestones": [
          300,
        ]
      },
    }
  },
  "category_guarantee_policy_map": {
    "promotional-items": {
      "included_category_tags": [
        // 当调频获取到S级代理人时，有 50.000% 的概率为本期限定S级代理人。
        "Event-Exclusive:Agent",
        "Event-Exclusive:W-Engine"
      ],
      "trigger_on_failure_times": 1,
      "clear_status_on_target_changed": false,
      "chooseable": false
    },
    "chooseable-up-bangboo": {
      "included_category_tags": [
        "Standard:Bangboo",
        "Event-Exclusive:Bangboo"
      ],
      "trigger_on_failure_times": 0,
      "clear_status_on_target_changed": false,
      "chooseable": true
    },
    "common-up-bangboo": {
      "included_category_tags": [
        "Standard:Bangboo",
        "Event-Exclusive:Bangboo"
      ],
      "trigger_on_failure_times": 0,
      "clear_status_on_target_changed": false,
      "chooseable": false
    }
  },
  // 定义供祈愿显示信息使用的额外属性。
  "common_properties": {
    "up_item_category_tag": "promotional-items",
    "s_item_rarity": 4,
    "a_item_rarity": 3,
    "ten_pull_discount_tag": "5x-10-poll-discount-8",
    "newcomer_advanced_s_tag": "50-poll-S"
  }
}